%define name 	qscintilla
%define version 1.5.1
%define release 1mdk

%define scintilla 1.62
%define qtdir /usr/lib/qt3

%define major 	5
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %name %major -d

Summary:	QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source:		%{name}-%{scintilla}-gpl-%{version}.tar.bz2
Patch:		%{name}-Mandrakization.patch.bz2
URL:		http://www.riverbankcomputing.co.uk/qscintilla
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt3-devel >= 3.1

%description
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

%package -n %{libname}
Summary:	QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class
Group:		System/Libraries
Provides: 	lib%{name} = %{version}

%description -n %{libname}
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

%package -n %{libnamedev}
Summary: Libraries, include and other files to develop applications with QScintilla
Group: Development/KDE and Qt
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This packages contains the libraries, include and other files
you can use to develop applications with QScintilla.

%prep 
rm -rf $RPM_BUILD_ROOT 
%setup -q -n %{name}-%{scintilla}-gpl-%{version}
%patch -p1

%build
export QTDIR=%{qtdir}
cd qt
%{qtdir}/bin/qmake -o Makefile qscintilla.pro
%make DESDIR=$RPM_BUILD_ROOT/$QTDIR/%_lib

%install
# Copy headers
mkdir -p $RPM_BUILD_ROOT/%{qtdir}/{include,translations,%_lib}
cp qt/qextscintilla*.h $RPM_BUILD_ROOT/%{qtdir}/include/
cp qt/qscintilla*.qm $RPM_BUILD_ROOT/%{qtdir}/translations/
mv qt/*.so* $RPM_BUILD_ROOT/%{qtdir}/%_lib/

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libnamedev}
%defattr(-, root, root, 755)
%{qtdir}/include/*
%{qtdir}/%_lib/libqscintilla.so

%files -n %{libname}
%defattr(-, root, root, 755)
%doc ChangeLog LICENSE NEWS README doc	
%{qtdir}/%_lib/libqscintilla.so.*
%{qtdir}/translations/qscintilla*.qm

%changelog
* Thu Aug 25 2005 Austin Acton <austin@mandriva.org> 1.5.1-1mdk
- 1.5.1

* Mon Aug 22 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.5-2mdk
- lib64 fixes + let qmake decide the right QMAKESPEC

* Sun Feb 20 2005 Austin Acton <austin@mandrake.org> 1.5-1mdk
- 1.5

* Tue Sep 21 2004 Austin Acton <austin@mandrake.org> 1.4-2mdk
- major 5

* Mon Sep 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4-1mdk
- 1.4

* Tue Jul 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-3mdk
- Fix ldconfig

* Fri Jun 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.3-2mdk
- Rebuild

* Tue Jun 1 2004 Austin Acton <austin@mandrake.org> 1.2-1mdk
- 1.3
- major 4
- try to make it more sane and less linty

* Wed Aug 20 2003 Austin Acton <aacton@yorku.ca> 1.2-1mdk
- 1.2
- major 3

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 1.1-2mdk
- rebuild for rpm

* Fri May 23 2003 Austin Acton <aacton@yorku.ca> 1.1-1mdk
- new URL
- new version
- new major

* Fri May 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0-1mdk
- more mklibname
- from Jrme Martin <jerome.f.martin@free.fr> :
	- Version 1.0 (for sip/pyqt 3.6)

* Sat Mar  8 2003 Jerome Martin <jerome.f.martin@free.fr> 0.3-2mdk
- Fix pb

* Mon Dec  2 2002 Jerome Martin <jerome.f.martin@free.fr> 0.3-1mdk
- First release

